PROBE::SOCKET.RECV(3stap)

NAME
probe::socket.recvmsg.return - Return from Message being received on socket

SYNOPSIS

socket.recvmsg.return

VALUES

family
    Protocol family value

state
    Socket state value

flags
    Socket flags value

protocol
    Protocol value

name
    Name of this probe

success
    Was receive successful? (1 = yes, 0 = no)

size
    Size of message received (in bytes) or error code if success = 0

type
    Socket type value

CONTEXT

The message receiver.

DESCRIPTION

Fires at the conclusion of receiving a message on a socket via the sock_recvmsg function.

SEE ALSO
tapset::socket(3stap)